PHP 7 : résoudre l'erreur liée à ext-dom ?

L'extension ext-dom apporte au langage PHP des fonctions pour manipuler les noeuds DOM qui constituent un document créé avec un langage de balises, comme le XML ou le HTML. Si un message d'erreur vous indique un problème lié à cette extension, la cause la plus probable est son absence.

Sur la plupart des systèmes d'exploitation, l'extension ext-dom est incluse dans PHP. Mais certaines distributions Linux intègrent l'extension dans un paquet séparé, nommé "php-xml". Il est donc nécessaire d'installer ce paquet pour utiliser les fonctions de l'extension. Avec une distribution dérivée de Debian, il est d'abord nécessaire de mettre à jour la liste des paquets disponibles.

sudo apt-get update

Pour installer le paquet "php-xml" correspondant à votre version de PHP. Il faut indiquer la chaîne "php" suivie du numéro de version et de la chaîne "-xml".

sudo apt-get install php7.1-xml

Si vous travaillez avec une distribution basée sur Red Hat, comme CentOS, vous devez effectuer une recherche avec le gestionnaire de paquets YUM. Il existe plusieurs paquets pour une même version de PHP qui varie selon l'architecture de l'ordinateur.

yum search php-xml

Une fois le paquet choisi, lancer l'installation avec la commande "sudo yum install" suivie de l'argument "-y" pour confirmer automatiquement l'installation des dépendances liées et du nom du paquet choisi. Voici par exemple la commande d'installation pour la version 7.1 de PHP sur un ordinateur avec une architecture 64 bits.

sudo yum install -y php71-php-xmlrpc.x86_64

PHP 7 : résoudre l'erreur liée à ext-dom ?
PHP 7 : résoudre l'erreur liée à ext-dom ?

L'extension ext-dom apporte au langage PHP des fonctions pour manipuler les noeuds DOM qui constituent un document créé avec un langage de balises, comme le XML ou le HTML. Si un message d'erreur vous indique un problème lié à cette extension, la...